package com.tongran.system.controller;

import com.tongran.common.core.utils.poi.ExcelUtil;
import com.tongran.common.core.web.controller.BaseController;
import com.tongran.common.core.web.domain.AjaxResult;
import com.tongran.common.core.web.page.TableDataInfo;
import com.tongran.common.log.annotation.Log;
import com.tongran.common.log.enums.BusinessType;
import com.tongran.common.security.annotation.RequiresPermissions;
import com.tongran.system.domain.EpsTrafficData;
import com.tongran.system.service.IEpsTrafficDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 流量相关数据Controller
 * 
 * @author tongran
 * @date 2025-08-12
 */
@RestController
@RequestMapping("/data")
@RequiresPermissions("system:data")
public class EpsTrafficDataController extends BaseController
{
    @Autowired
    private IEpsTrafficDataService epsTrafficDataService;

    /**
     * 查询流量相关数据列表
     */
    @GetMapping("/list")
    public TableDataInfo list(EpsTrafficData epsTrafficData)
    {
        startPage();
        List<EpsTrafficData> list = epsTrafficDataService.selectEpsTrafficDataList(epsTrafficData);
        return getDataTable(list);
    }

    /**
     * 导出流量相关数据列表
     */
    @Log(title = "流量相关数据", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, EpsTrafficData epsTrafficData)
    {
        List<EpsTrafficData> list = epsTrafficDataService.selectEpsTrafficDataList(epsTrafficData);
        ExcelUtil<EpsTrafficData> util = new ExcelUtil<EpsTrafficData>(EpsTrafficData.class);
        util.exportExcel(response, list, "流量相关数据数据");
    }

    /**
     * 获取流量相关数据详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(epsTrafficDataService.selectEpsTrafficDataById(id));
    }

    /**
     * 新增流量相关数据
     */
    @Log(title = "流量相关数据", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody EpsTrafficData epsTrafficData)
    {
        return toAjax(epsTrafficDataService.insertEpsTrafficData(epsTrafficData));
    }

    /**
     * 修改流量相关数据
     */
    @Log(title = "流量相关数据", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody EpsTrafficData epsTrafficData)
    {
        return toAjax(epsTrafficDataService.updateEpsTrafficData(epsTrafficData));
    }

    /**
     * 删除流量相关数据
     */
    @Log(title = "流量相关数据", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(epsTrafficDataService.deleteEpsTrafficDataByIds(ids));
    }
}
